!
! eeDaemon                                                                   
! http://eeclust.de                                                          
!                                                                            
! Copyright (c) 2010-2012, University of Hamburg                             
!                                                                            
! See the file COPYING in the package base directory for details             
!                                                                            
! example.f90                                                  
!                                                                            
!  Created on: Jan 13, 2012                                                   
!      Author: Florian Ehmke                                                 
!
! compile: gfortran -o example_fortran -I/sw/eeDaemon/mod -I/sw/eeDaemon/include/  example.f90 -L/sw/eeDaemon/lib -leed_client -leed_client_f

program hello
   use eed_f
   use iso_c_binding
   implicit none


   integer rank, tag
   Integer i, sum, cpu

   tag = 0
   rank = 0
   
   !call MPI_INIT(ierror)
   !call MPI_COMM_SIZE(MPI_COMM_WORLD, size, ierror)
   !call MPI_COMM_RANK(MPI_COMM_WORLD, rank, ierror)
   
   print*, 'node', rank, ': Hello world'

   call ee_init('example', tag, rank)

   cpu = 0 ! cpu = 0 corresponds to all cores

   call ee_dev_mode(CPU,MODE_MIN)
   sum = 0
   do i = 1, 1000000000, 1
      sum = sum + i
   end do

   call ee_dev_mode(CPU,MODE_MED)
   sum = 0
   do i = 1, 1000000000, 1
      sum = sum + i
   end do

   call ee_dev_mode(CPU,MODE_MAX)   
   sum = 0
   do i = 1, 1000000000, 1
      sum = sum + i
   end do

   call ee_finalize()

   !call MPI_FINALIZE(ierror)
end
