/*
 * eeDaemon
 * http://eeclust.de
 *
 * Copyright (c) 2010-2012, University of Hamburg
 *
 * See the file COPYING in the package base directory for details
 *
 * eed_init_wrapper.c
 *
 *  Created on: Nov 4, 2011
 *      Author: Florian Ehmke
 */

#include <string.h>
#include <stdlib.h>
#include <stdio.h>

#include "eed.h"

void ee_init_fortran(char *cmdname, int tag, int rank);
void ee_init_rms_fortran(char *cmdname, int rank);

void ee_init_fortran(char *cmdname, int tag, int rank) {

	int argc = 1;
	char **argv  = malloc(sizeof(char *) * argc);
	argv[0] = strdup(cmdname);

	ee_init(&argc, &argv, tag, rank);
}

void ee_init_rms_fortran(char *cmdname, int rank) {

	int argc = 1;
	char **argv  = malloc(sizeof(char *) * argc);
	argv[0] = strdup(cmdname);

	ee_init_rms(&argc, &argv, rank);
}
